Create an External Issue and Link It to an Issue
POST /api/0/organizations/{organization_id_or_slug}/issues/{issue_id}/integrations/{integration_id}/
Create a new issue in the external provider (such as a Jira ticket or GitHub
issue) and link it to the given Sentry issue. The accepted fields are
integration-specific; fetch them from the createIssueConfig returned by the
GET endpoint with ?action=create.
Path Parameters
organization_id_or_slug(string)REQUIREDThe ID or slug of the organization the resource belongs to.
issue_id(string)REQUIREDThe ID of the issue you'd like to query.
integration_id(string)REQUIREDThe ID of the integration installed on the organization.
Body Parameters
title(string)REQUIREDThe title of the external issue to create.
description(string)The description (body) of the external issue to create.
Scopes
You need to authenticate via bearer auth token.
<auth_token> requires one of the following scopes:event:adminevent:write
Copied
curl https://sentry.io/api/0/organizations/{organization_id_or_slug}/issues/{issue_id}/integrations/{integration_id}/ \ -H 'Authorization: Bearer <auth_token>' \ -H 'Content-Type: application/json' \ -d '{}'
RESPONSESCHEMA
Copied{ "id": 5, "key": "PROJECT-123", "url": "https://example.atlassian.net/browse/PROJECT-123", "integrationId": 123456, "displayName": "PROJECT-123" }
Was this helpful?